import request from '@/utils/request'


export function tiffUpload(parameter) {
  return request({
    url: '/file/uploadSpotZip',
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'multipart/form-data;'
    }
  })
}

// 查询监管批次数据列表
export function listPcsj(query) {
  return request({
    url: '/apply/supervise/pcsj/list',
    method: 'get',
    params: query
  })
}

// 查询监管批次数据详细
export function getPcsj(id) {
  return request({
    url: '/apply/supervise/pcsj/' + id,
    method: 'get'
  })
}

// 新增监管批次数据
export function addPcsj(data) {
  return request({
    url: '/apply/supervise/pcsj',
    method: 'post',
    data: data
  })
}

// 修改监管批次数据
export function updatePcsj(data) {
  return request({
    url: '/apply/supervise/pcsj',
    method: 'put',
    data: data
  })
}

// 删除监管批次数据
export function delPcsj(id) {
  return request({
    url: '/apply/supervise/pcsj/' + id,
    method: 'delete'
  })
}

// 查询监管批次数据列表
export function listPcsjXQList(query) {
  return request({
    url: '/apply/supervise/xq/list',
    method: 'get',
    params: query
  })
}
export function getPcsjXQ(id) {
  return request({
    url: '/apply/supervise/xq/' + id,
    method: 'get',

  })
}
export function getYwlxList(query) {
  return request({
    url: '/apply/supervise/ywlx/list',
    method: 'get',
    params: query
  })
}
